var express = require('express');
var router = express.Router();

var options = require('./dbconfig');

/*
 * Postgres
 */
var Pool = require('pg').Pool;
var config = {
  user: 'matjaz',
  password: 'mesnjak',
  database: 'supervizor',
  host: 'server.dev',
  port: 5432,
  max: 10,
  idleTimeoutMillis: 30000,
};
var pool = new Pool(config);

router.get('/', function(req, res, next) {
  pool.query('SELECT rpu.naziv, rpu.sifra_pu, rpu.maticna, rpu.davcna, rpu.kraj, rpu.obcina, rpu.naslov, rpu.postna_stevilka, rpu.posta, lokacija.davcna_stevilka LOKACIJA FROM rpu LEFT JOIN lokacija ON rpu.davcna = lokacija.davcna_stevilka WHERE rpu.naziv ~* $1 LIMIT 100', [req.query.naziv], function (err, result) {
    if(err) {
      throw err;
    }
    res.render('rpusearch', {title: 'Rezultati iskanja po Registru proračunskih uporabnikov', results: result.rows});
  })  
});

module.exports = router;
